删除训练任务模版
按模版 ID 删除一个训练任务模版。删除后该模版不再出现在训练任务模版列表中,但不影响已基于该模版创建的训练任务。此操作不可恢复,请谨慎执行。
DELETE
https://api.alayanew.com/v1/training/template/{id}/delete鉴权(Authorizations)
bearerAuthAuthorizationString必填用户可通过已获取的 Open API Key 做验证。例如:Bearer [YOUR_API_KEY]。
Path Parameters
idString必填待删除的训练任务模版 ID(来自模版列表的 id)。例如:tpl_6f1a62c0a5bf4e0c9b2f。
Response
application/json · 200statusInteger业务状态码,200 表示成功。
messageString接口响应信息。例如:"OK"。
dataObject删除结果。删除成功时不返回额外业务数据。
curl -X 'DELETE' \
'https://api.alayanew.com/v1/training/template/tpl_6f1a62c0a5bf4e0c9b2f/delete' \
-H 'accept: application/json' \
-H 'Authorization: Bearer [YOUR_API_KEY]'import requests
template_id = "tpl_6f1a62c0a5bf4e0c9b2f"
url = f"https://api.alayanew.com/v1/training/template/{template_id}/delete"
headers = {
"accept": "application/json",
"Authorization": "Bearer [YOUR_API_KEY]"
}
response = requests.delete(url, headers=headers)
print(response.json())const templateId = 'tpl_6f1a62c0a5bf4e0c9b2f';
fetch(`https://api.alayanew.com/v1/training/template/${templateId}/delete`, {
method: 'DELETE',
headers: {
'accept': 'application/json',
'Authorization': 'Bearer [YOUR_API_KEY]'
}
})
.then(res => res.json())
.then(console.log)
.catch(console.error);{
"status": 200,
"message": "OK",
"data": {}
}{
"status": 403,
"message": "Forbidden",
"data": {}
}{
"status": 500,
"message": "Internal Server Error",
"data": {}
}Last updated on
